curl --request PUT \
--url https://int-api.mx.com/users/{user_guid}/taggings/{tagging_guid} \
--header 'Accept-Version: <accept-version>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://int-api.mx.com/users/{user_guid}/taggings/{tagging_guid}"
payload = {}
headers = {
"Accept-Version": "<accept-version>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'Accept-Version': '<accept-version>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://int-api.mx.com/users/{user_guid}/taggings/{tagging_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tagging": {
"guid": "TGN-007f5486-17e1-45fc-8b87-8f03984430fe",
"member_is_managed_by_user": false,
"tag_guid": "TAG-40faf068-abb4-405c-8f6a-e883ed541fff",
"transaction_guid": "TRN-810828b0-5210-4878-9bd3-f4ce514f90c4",
"user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54"
}
}Update tagging
Authorizations
The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.
Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.
curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'Headers
MX Platform API version.
"v20250224"
Path Parameters
The unique id for a tagging.
The unique identifier for a user, beginning with the prefix USR-.
Body
Tagging object to be updated with required parameter (tag_guid)
Response
OK
Hide child attributes
Hide child attributes
The unique identifier for the tagging. Defined by MX.
"TGN-007f5486-17e1-45fc-8b87-8f03984430fe"
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
false
The unique identifier for the tag. Defined by MX.
"TAG-40faf068-abb4-405c-8f6a-e883ed541fff"
The unique identifier for the transaction. Defined by MX.
"TRN-810828b0-5210-4878-9bd3-f4ce514f90c4"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"

